Skip to main content
PUT
/
textMessages
/
{id}
Update Textmessage
curl --request PUT \
  --url https://crm.universal.rollout.com/api/textMessages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Rollout-Credential-Id: <api-key>' \
  --data '
{
  "personId": "<string>",
  "userId": "<string>",
  "message": "<string>",
  "status": "<string>",
  "isIncoming": true,
  "externalLabel": "<string>",
  "externalUrl": "<string>",
  "toNumber": "<string>",
  "fromNumber": "<string>",
  "sent": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "personId": "<string>",
  "userId": "<string>",
  "message": "<string>",
  "isIncoming": true,
  "status": "<string>",
  "toNumber": "<string>",
  "fromNumber": "<string>",
  "externalLabel": "<string>",
  "externalUrl": "<string>",
  "sent": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "originalIds": {},
  "original": {}
}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Path Parameters

id
string
required

Body

application/json
personId
string
userId
string
message
string
status
string
isIncoming
boolean
externalLabel
string
externalUrl
string
toNumber
string
fromNumber
string
sent

Response

OK

id
string
required
personId
string
required
userId
string
required
message
string
required
isIncoming
boolean
required
status
string
required
toNumber
string
required
fromNumber
string
required
externalLabel
string
required
externalUrl
string
required
sent
string
required
created
string
required
updated
string
required
rolloutUpdated
string
required
originalIds
object
required
original
object
required